﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Globalization;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace XamDataGrdiSummaryResultBackground
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Person> coll { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            coll = new ObservableCollection<Person>();

            coll.Add(new Person() { Id = 1, LastName = "Doe" });
            coll.Add(new Person() { Id = 2, LastName = "Doe", Age = 34.5555 });
            coll.Add(new Person() { Id = 3, LastName = "Doe", Age = 56 });
            coll.Add(new Person() { Id = 4, LastName = "Smith", Age = 23 });

            this.DataContext = coll;

        }

    }



    public class Person : INotifyPropertyChanged
    {
        private int id;


        public int Id
        {
            get { return id; }
            set
            {
                id = value;
                NotifyPropertyChanged("Id");
            }
        }

        private double age;

        public double Age
        {
            get { return age; }
            set { age = value; NotifyPropertyChanged("Age"); }
        }

        private String lastName;

        public String LastName
        {
            get { return lastName; }
            set { lastName = value; NotifyPropertyChanged("LastName"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }


    public class MyConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (Double.Parse((value as SummaryResult).Value.ToString()) < 30)
            {
                return Brushes.YellowGreen;
            }
            return Brushes.LightYellow;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return Binding.DoNothing;
        }
    }
}
